Bug 77580 - kmix doesn't support the Enlightenment Sound Daemon
Summary: kmix doesn't support the Enlightenment Sound Daemon
Status: RESOLVED INTENTIONAL
Alias: None
Product: kmix
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist with 85 votes (vote)
Target Milestone: ---
Assignee: Christian Esken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-14 17:25 UTC by Dominique Devriese
Modified: 2008-10-27 02:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Devriese 2004-03-14 17:25:04 UTC
Version:            (using KDE KDE 3.2.1)
Installed from:    Debian testing/unstable Packages

Note: this is a forward of the following Debian bug report:
dbug:237961

The original text of this report was:
	With ESD as sound daemon kmix isn't able to mix anything

thanks
domi
Comment 1 Christian Esken 2004-06-26 11:18:30 UTC
Could you please be a bit more specific: "With ESD as sound daemon kmix isn't able to mix anything" sounds very strange. Surely this is wrong: KMix DOES handle the soundcard hardware of the machine it runs on. It doesn't care whether you run 0, 1 or 5000 soundservers on your machine.

Describing the usage scenario would help a lot - e.g. is there "client-server network streaming" involved - and if it is: where is the user sitting, where is the esd running.

Chris
Comment 2 Denny Schierz 2004-06-26 14:05:24 UTC
We have several LTSP (www.ltsp.org) envoirements and using esd for sound output on the terminal clients. ESD ist running on the terminal client and arts is setuped so use esd. It is not possibile to change sounds settings with kmix (volume etc.). To change the sound you have to use the apps mixer (xmms/xine/realplayer).
Comment 3 Cornelius Weiß 2004-06-28 09:00:10 UTC
Hi Chris,
the situation is a client-server network. KDE and KMIX are running on a server 
which could be far away from the terminal where the soundcard is installed.

I think, kmix is able to handle the situation with the same scenario with nasd 
as network sound system. But ESD has better preformance.

If i understood the intesion of kmix right, it should be a qick way to stear 
the "main-Volume". If ESD is configured in the sound section of 
kde-configurateions, e.g. JuK perfectly plays together with ESD and it's 
possible to stear the Volume for that app there. 

It would be great to have the chance to stear the main-volume with KMix too.

Cornelius

On Saturday 26 June 2004 11:18, Christian Esken wrote:
> ------- You are receiving this mail because: -------
> You are a voter for the bug, or are watching someone who is.
>
> http://bugs.kde.org/show_bug.cgi?id=77580
>
>
>
>
> ------- Additional Comments From esken kde org  2004-06-26 11:18 -------
> Could you please be a bit more specific: "With ESD as sound daemon kmix
> isn't able to mix anything" sounds very strange. Surely this is wrong: KMix
> DOES handle the soundcard hardware of the machine it runs on. It doesn't
> care whether you run 0, 1 or 5000 soundservers on your machine.
>
> Describing the usage scenario would help a lot - e.g. is there
> "client-server network streaming" involved - and if it is: where is the
> user sitting, where is the esd running.
>
> Chris

Comment 4 Ingo Bruell 2004-06-28 09:50:14 UTC
I have this issue with the LTSP project, too. I have testet the nasd daemon also and it cannot be controlled like the esd daemon on the client side.

Some explanations:

The esd or nasd daemons are running on the client computers who are running an x server connected to the LTSP server. On the server artsd is running with option -a esd|nas or something like that. So the LTSP server is connected with the clients daemon.

I also can not get the System Sounds work with this scenario. The test button in the sound settings of kde works (very laud) but the system sound not.
Comment 5 Sander Devrieze 2004-06-28 19:53:44 UTC
I also would like this feature. I've putted my soundcard in my local server, the output of this soundcard is the input for my stereo. I'm also using ESound. The advantages of this setup are: I only need to buy 1 soundcard, I can play on all my computers on my stereo, I can have good sound when I'm using my laptop, as the server always runs I can do geek things with it ;-)

So it would be nice that I can use kmix on all my computers to control the sound on my server (now, I need to do it via ssh).

(besides that it's in this case also not intresting that artsd don't support remote ESound servers, but that's another wish :-) )
Comment 6 Christian Esken 2005-10-27 15:57:40 UTC
Dear wishlist item reporters,

I am asking you kindly to review your votes on this bug report. With the changes going on in the Linux sound infrastructure, the importance of this has probably changed.
If this is still relevant to you, just keep up your vote. A comment in bug 77580 would also be appreciated.
If it is not more relevant to you (because you changed from esd to gstreamer, or for some other reason), please withdraw/change your vote, using the URL http://bugs.kde.org/votes.cgi?action=show_user&bug_id=77580 .

Thanks for your cooperation,
  Chris
Comment 7 Alex V. Koval 2005-10-27 16:56:15 UTC
> With the changes going on in the Linux sound infrastructure, 
> the importance of this has probably changed.

I only remember ALSA architecture has been added a few years ago, is this the change you mean? 

I have googled for 'gstreamer' and I did not yet found how we can use this with LTSP.

I do not understand yet what is wrong with the approach of using networked sound with KMix. I tried using both esound and artsd (run it in network mode) and both are working, but KMix does not. I understand that artsd, esd are both made to deliver sound to network users. Why kmix is out of this architecture? 

Also, I see other programs have no trouble with it: for example if I run 'xmms' on networked workstation, it provides a way to change sound level. Also I have no problem with mplayer works for example.

I can live without it, but do not you think it would be strange that KDE will not implement Mixer, while implementing networking sound in full?
Comment 8 Christian Esken 2005-10-27 17:52:10 UTC
Alex,
the change I mean is the move away from ARTS and ESD. ARTS is primarily backed by KDE, ESD is primarily backed by Gnome.
Both are very likely being discontinued by these projects, so I believe in mid-term there will not be the demand any longer. So this is a poll to find out the current state of mind.
KMix will likely implement the support for "networking sound" in KDE4 (using the KDE4 sound infrastructure), but very likely nobody is interested enough to do esd support then.
Comment 9 Christian Esken 2007-11-23 20:10:34 UTC
Update: KMix for KDE4.1 will support all networked audio devices that are available through Phonon.
Comment 10 Christian Esken 2008-10-27 02:27:21 UTC
As ESD is superceded by PulseAudio, doing this is not any longer relevant. So I won't do it. Closing this as "WONTFIX".

The good news is that some PulseAudio patches for KMix are floating around, so you might see PulseAudio support instead.